# Uses of Class
java.util.LinkedHashMap

Packages that use LinkedHashMap
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of LinkedHashMap in java.util

Methods in java.util that return LinkedHashMap
Modifier and Type
Method
Description
`static <K, V> LinkedHashMap<K,V>`
LinkedHashMap.`newLinkedHashMap(int numMappings)`
Creates a new, empty, insertion-ordered LinkedHashMap suitable for the expected number of mappings.